Redmine - Defect #25760

Clicking custom field label should not check the first option
2017-05-04 11:13 - Stéphane Briand SeaSideTech

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.2.7

Resolution: Fixed Affected version:

Description

Environment:

* Redmine version 3.3.1.stable
¢ Ruby version 2.1.8-p440 (2015-12-16) [i386-mingw32]
¢ Rails version 4.2.71
e Environment production
e Database adapter Mysgl2
Context:

| have created a custom field of type Boolean, with a description.
When | edit an issue that possesses this custom fields, | get a behaviour that can be a drawback.
If I click on the underlined text Exported, the radio button (none) get selected.

Exported (™ (none) () Yes @ Mo

Expected behavior:

¢ To select a radio button, either click on the button itself or its text.
¢ Clicking on the text of the custom field must not have any effect on the current selected button.

Associated revisions

Revision 16574 - 2017-05-27 10:49 - Jean-Philippe Lang
Cusotom field label should not be associated to the first input (#25760).

Revision 16620 - 2017-06-06 23:17 - Jean-Philippe Lang
Merged r16574 (#25760).

Revision 16621 - 2017-06-06 23:17 - Jean-Philippe Lang
Merged r16574 (#25760).

History

#1 - 2017-05-27 10:51 - Jean-Philippe Lang

- Subject changed from Unexecpected behavior of custom field (type boolean) during issue edition to Clicking custom field label should not check the
first option

- Category set to Ul

- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.7

- Resolution set to Fixed

This is fixed in r16574 for boolean and list custom fields that are rendered as check boxes.
Thanks for pointing this out.

#2 - 2017-06-06 23:17 - Jean-Philippe Lang
https://www.redmine.org/projects/redmine/repository/svn/revisions/16574

- Status changed from Resolved to Closed
